﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using System.Threading;
using Infragistics.UltraChart.Resources;
using Infragistics.UltraChart.Shared.Styles;

namespace _103449
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            NumericSeries seria1 = GetSeria("Fund A");
            Thread.Sleep(10);
            NumericSeries seria2 = GetSeria("Fund B");

            ultraChart1.Series.Add(seria1);
            ultraChart1.Series.Add(seria2);

            Point p = new Point(10,15);
            foreach (NumericSeries s in ultraChart1.Series)
            {
                CheckBox cb = new CheckBox();
                cb.Name = s.Key;
                cb.Text = s.Label;
                cb.Location = p;
                cb.Checked = true;
                groupBox1.Controls.Add(cb);
                cb.CheckedChanged += new EventHandler(cb_CheckedChanged);
                p.Offset(0, 22);
            }
        }

        void cb_CheckedChanged(object sender, EventArgs e)
        {
            string key = ((CheckBox)sender).Name;
            string label = ((CheckBox)sender).Text;
            ultraChart1.Series.FromKey(key).Label = ((CheckBox)sender).Checked ? label : "";
            (this.ultraChart1 as IChartComponent).Invalidate(CacheLevel.LayerLevelCache);
        }

        private NumericSeries GetSeria(string name)
        {
            DateTime date = DateTime.Now;
            NumericSeries ret = new NumericSeries();
            ret.Key = ret.Label = name;
            Random rnd = new Random();
            double p = rnd.NextDouble();
            double c = rnd.Next(10, 100);
            for (int i = 1; i < 11; i++)
            {
                ret.Points.Add( new NumericDataPoint( ((p*c*i)% 100), date.ToString("dd-MMM-yyyy"), false));
                date = date.AddDays(1);
            }

            return ret ;
        }
    }
}
